Unix
Mac OS X
iPhone
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module mogrify Methods

## MagickCommandGenesis

MagickCommandGenesis() applies image processing options to an image as prescribed by command line options.

The format of the MagickCommandGenesis method is:

      MagickBooleanType MagickCommandGenesis(ImageInfo *image_info,
        MagickCommand command,int argc,char **argv,char **metadata,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image_info

the image info.

##### command

Choose from ConvertImageCommand, IdentifyImageCommand, MogrifyImageCommand, CompositeImageCommand, CompareImageCommand, ConjureImageCommand, StreamImageCommand, ImportImageCommand, DisplayImageCommand, or AnimateImageCommand.

##### argc

Specifies a pointer to an integer describing the number of elements in the argument vector.

##### argv

Specifies a pointer to a text array containing the command line arguments.

##### metadata

any metadata is returned here.

##### exception

return any errors or warnings in this structure.

## ** GetImageCache

** GetImageCache() will read an image into a image cache if not already ** present then return the image that is in the cache under that filename.

## ** SparseColorOption

** SparseColorOption() parse the complex -sparse-color argument into an ** an array of floating point values than call SparseColorImage(). ** Argument is a complex mix of floating-point pixel coodinates, and color ** specifications (or direct floating point numbers). The number of floats ** needed to represent a color varies depending on teh current channel ** setting.

Discourse Server • Studio